"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.run = void 0;
const constants_1 = require("../constants");
const supported_services_1 = require("../provider-utils/supported-services");
const run = async (context) => {
    const { amplify } = context;
    const servicesMetadata = supported_services_1.supportedServices;
    return amplify
        .serviceSelectionPrompt(context, constants_1.category, servicesMetadata)
        .then(result => {
        const service = result.service;
        const options = {
            service: service,
            providerPlugin: result.providerName
        };
        const providerController = servicesMetadata[service].providerController;
        if (!providerController) {
            context.print.error('Provider not configured for this category');
            return;
        }
        return providerController.addResource(context, constants_1.category, service, options);
    })
        .then(() => {
        context.print.info('');
    })
        .catch(err => {
        context.print.info(err.stack);
        context.print.error('There was an error adding the Amplify Console Notification resource');
        context.usageData.emitError(err);
        process.exitCode = 1;
    });
};
exports.run = run;
//# sourceMappingURL=add.js.map