"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.run = void 0;
const constants_1 = require("../constants");
const run = async (context) => {
    const previousFunctionUrlByServiceName = getFunctionUrlBySerivceName(context.exeInfo.amplifyMeta);
    const { outputsByCategory } = context.amplify.getResourceOutputs();
    Object.entries(outputsByCategory[constants_1.category])
        .filter(([_, output]) => !!output.LambdaFunctionUrl)
        .filter(([serviceName, output]) => previousFunctionUrlByServiceName[serviceName] !== output.LambdaFunctionUrl)
        .forEach(([serviceName, output]) => {
        showFunctionUrlInformation(context, serviceName, output.LambdaFunctionUrl);
    });
};
exports.run = run;
function showFunctionUrlInformation(context, serviceName, functionUrl) {
    context.print.success(`Successfully added resource ${functionUrl}.`);
    context.print.info("");
    context.print.info('Next steps:');
    context.print.info("1. Open https://api.slack.com/apps in your browser.");
    context.print.info(`2. Update settings.interactivity.request_url with ${functionUrl} in Slack App Manifest for ${serviceName}.`);
    context.print.info("");
}
function getFunctionUrlBySerivceName(amplifyMeta) {
    return Object.entries(amplifyMeta.consolenotification)
        .reduce((all, [serviceName, service]) => {
        all[serviceName] = service.output.LambdaFunctionUrl;
        return all;
    }, {});
}
//# sourceMappingURL=handle-PostPush.js.map