"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addResource = void 0;
const supported_services_1 = require("../../provider-utils/supported-services");
/**
 * Entry point for creating a Amplify Console Notification
 * @param context Amplify Core Context object
 * @param category The resource category (should always be 'consolenotification')
 * @param service The cloud service that is providing the category
 * @param options The options for Amplify Console Notification
 */
async function addResource(context, category, service, options) {
    const serviceConfig = supported_services_1.supportedServices[service];
    await serviceConfig.walkthroughs.createWalkthrough(context, category, options);
}
exports.addResource = addResource;
//# sourceMappingURL=index.js.map